<?php

namespace TecDiet\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;

use TecDiet\Services\UserService;

class UserController extends \Zeedhi\Framework\Controller\Simple {

    protected $session;

    public function __construct(UserService $userService, $session) {
        $this->session = $session;
    }
    
    public function userInfo(Request\Row $request, Response $response) {
        $userInfo = [];
        $sessionInfo = $this->session->get("LOGIN_USER_INFO");
        if(!empty($sessionInfo) && !empty($sessionInfo['USER_DATA'])) {
            $cdfilial = isset($sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['CDFILIAL']);
            $nmfilial = isset($sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['NMFILIAL']);
            $nmacesso = isset($sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['NMACESSO']);
            
            $userInfo = [
                "CDFILIALSELECIONADA" => $cdfilial == true ? $sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['CDFILIAL'] : '',
                "NMFILIAL" => $nmfilial == true ? $sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['NMFILIAL'] : '',
                "CDPICTPROD" => $sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['CDPICTPROD'],
                "CDPICTPRAT" => $sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['CDPICTPRAT'],
                "NMACESSO" => $nmacesso == true ? $sessionInfo['USER_DATA']['OTHER_SESSION_VALUES']['NMACESSO'] : ''
            ];
        }
        $response->addDataSet(new DataSet('userInfo', $userInfo));
    }
}